1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18am__make_running_with_option = \
19  case $${target_option-} in \
20      ?) ;; \
21      *) echo "am__make_running_with_option: internal error: invalid" \
22              "target option '$${target_option-}' specified" >&2; \
23         exit 1;; \
24  esac; \
25  has_opt=no; \
26  sane_makeflags=$$MAKEFLAGS; \
27  if $(am__is_gnu_make); then \
28    sane_makeflags=$$MFLAGS; \
29  else \
30    case $$MAKEFLAGS in \
31      *\\[\ \	]*) \
32        bs=\\; \
33        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
35    esac; \
36  fi; \
37  skip_next=no; \
38  strip_trailopt () \
39  { \
40    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41  }; \
42  for flg in $$sane_makeflags; do \
43    test $$skip_next = yes && { skip_next=no; continue; }; \
44    case $$flg in \
45      *=*|--*) continue;; \
46        -*I) strip_trailopt 'I'; skip_next=yes;; \
47      -*I?*) strip_trailopt 'I';; \
48        -*O) strip_trailopt 'O'; skip_next=yes;; \
49      -*O?*) strip_trailopt 'O';; \
50        -*l) strip_trailopt 'l'; skip_next=yes;; \
51      -*l?*) strip_trailopt 'l';; \
52      -[dEDm]) skip_next=yes;; \
53      -[JT]) skip_next=yes;; \
54    esac; \
55    case $$flg in \
56      *$$target_option*) has_opt=yes; break;; \
57    esac; \
58  done; \
59  test $$has_opt = yes
60am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62pkgdatadir = $(datadir)/@PACKAGE@
63pkgincludedir = $(includedir)/@PACKAGE@
64pkglibdir = $(libdir)/@PACKAGE@
65pkglibexecdir = $(libexecdir)/@PACKAGE@
66am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67install_sh_DATA = $(install_sh) -c -m 644
68install_sh_PROGRAM = $(install_sh) -c
69install_sh_SCRIPT = $(install_sh) -c
70INSTALL_HEADER = $(INSTALL_DATA)
71transform = $(program_transform_name)
72NORMAL_INSTALL = :
73PRE_INSTALL = :
74POST_INSTALL = :
75NORMAL_UNINSTALL = :
76PRE_UNINSTALL = :
77POST_UNINSTALL = :
78build_triplet = @build@
79host_triplet = @host@
80subdir = tests/Misc
81DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
82	$(top_srcdir)/mkinstalldirs $(top_srcdir)/test-driver
83ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
84am__aclocal_m4_deps = $(top_srcdir)/configure.ac
85am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
86	$(ACLOCAL_M4)
87mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
88CONFIG_HEADER = $(top_builddir)/config.h
89CONFIG_CLEAN_FILES =
90CONFIG_CLEAN_VPATH_FILES =
91AM_V_P = $(am__v_P_@AM_V@)
92am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
93am__v_P_0 = false
94am__v_P_1 = :
95AM_V_GEN = $(am__v_GEN_@AM_V@)
96am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
97am__v_GEN_0 = @echo "  GEN     " $@;
98am__v_GEN_1 =
99AM_V_at = $(am__v_at_@AM_V@)
100am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
101am__v_at_0 = @
102am__v_at_1 =
103SOURCES =
104DIST_SOURCES =
105am__can_run_installinfo = \
106  case $$AM_UPDATE_INFO_DIR in \
107    n|no|NO) false;; \
108    *) (install-info --version) >/dev/null 2>&1;; \
109  esac
110am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
111am__tty_colors_dummy = \
112  mgn= red= grn= lgn= blu= brg= std=; \
113  am__color_tests=no
114am__tty_colors = { \
115  $(am__tty_colors_dummy); \
116  if test "X$(AM_COLOR_TESTS)" = Xno; then \
117    am__color_tests=no; \
118  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
119    am__color_tests=yes; \
120  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
121    am__color_tests=yes; \
122  fi; \
123  if test $$am__color_tests = yes; then \
124    red=''; \
125    grn=''; \
126    lgn=''; \
127    blu=''; \
128    mgn=''; \
129    brg=''; \
130    std=''; \
131  fi; \
132}
133am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
134am__vpath_adj = case $$p in \
135    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
136    *) f=$$p;; \
137  esac;
138am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
139am__install_max = 40
140am__nobase_strip_setup = \
141  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
142am__nobase_strip = \
143  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
144am__nobase_list = $(am__nobase_strip_setup); \
145  for p in $$list; do echo "$$p $$p"; done | \
146  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
147  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
148    if (++n[$$2] == $(am__install_max)) \
149      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
150    END { for (dir in files) print dir, files[dir] }'
151am__base_list = \
152  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
153  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
154am__uninstall_files_from_dir = { \
155  test -z "$$files" \
156    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
157    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
158         $(am__cd) "$$dir" && rm -f $$files; }; \
159  }
160am__recheck_rx = ^[ 	]*:recheck:[ 	]*
161am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
162am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
163# A command that, given a newline-separated list of test names on the
164# standard input, print the name of the tests that are to be re-run
165# upon "make recheck".
166am__list_recheck_tests = $(AWK) '{ \
167  recheck = 1; \
168  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
169    { \
170      if (rc < 0) \
171        { \
172          if ((getline line2 < ($$0 ".log")) < 0) \
173	    recheck = 0; \
174          break; \
175        } \
176      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
177        { \
178          recheck = 0; \
179          break; \
180        } \
181      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
182        { \
183          break; \
184        } \
185    }; \
186  if (recheck) \
187    print $$0; \
188  close ($$0 ".trs"); \
189  close ($$0 ".log"); \
190}'
191# A command that, given a newline-separated list of test names on the
192# standard input, create the global log from their .trs and .log files.
193am__create_global_log = $(AWK) ' \
194function fatal(msg) \
195{ \
196  print "fatal: making $@: " msg | "cat >&2"; \
197  exit 1; \
198} \
199function rst_section(header) \
200{ \
201  print header; \
202  len = length(header); \
203  for (i = 1; i <= len; i = i + 1) \
204    printf "="; \
205  printf "\n\n"; \
206} \
207{ \
208  copy_in_global_log = 1; \
209  global_test_result = "RUN"; \
210  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
211    { \
212      if (rc < 0) \
213         fatal("failed to read from " $$0 ".trs"); \
214      if (line ~ /$(am__global_test_result_rx)/) \
215        { \
216          sub("$(am__global_test_result_rx)", "", line); \
217          sub("[ 	]*$$", "", line); \
218          global_test_result = line; \
219        } \
220      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
221        copy_in_global_log = 0; \
222    }; \
223  if (copy_in_global_log) \
224    { \
225      rst_section(global_test_result ": " $$0); \
226      while ((rc = (getline line < ($$0 ".log"))) != 0) \
227      { \
228        if (rc < 0) \
229          fatal("failed to read from " $$0 ".log"); \
230        print line; \
231      }; \
232      printf "\n"; \
233    }; \
234  close ($$0 ".trs"); \
235  close ($$0 ".log"); \
236}'
237# Restructured Text title.
238am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
239# Solaris 10 'make', and several other traditional 'make' implementations,
240# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
241# by disabling -e (using the XSI extension "set +e") if it's set.
242am__sh_e_setup = case $$- in *e*) set +e;; esac
243# Default flags passed to test drivers.
244am__common_driver_flags = \
245  --color-tests "$$am__color_tests" \
246  --enable-hard-errors "$$am__enable_hard_errors" \
247  --expect-failure "$$am__expect_failure"
248# To be inserted before the command running the test.  Creates the
249# directory for the log if needed.  Stores in $dir the directory
250# containing $f, in $tst the test, in $log the log.  Executes the
251# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
252# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
253# will run the test scripts (or their associated LOG_COMPILER, if
254# thy have one).
255am__check_pre = \
256$(am__sh_e_setup);					\
257$(am__vpath_adj_setup) $(am__vpath_adj)			\
258$(am__tty_colors);					\
259srcdir=$(srcdir); export srcdir;			\
260case "$@" in						\
261  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
262    *) am__odir=.;; 					\
263esac;							\
264test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
265  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
266if test -f "./$$f"; then dir=./;			\
267elif test -f "$$f"; then dir=;				\
268else dir="$(srcdir)/"; fi;				\
269tst=$$dir$$f; log='$@'; 				\
270if test -n '$(DISABLE_HARD_ERRORS)'; then		\
271  am__enable_hard_errors=no; 				\
272else							\
273  am__enable_hard_errors=yes; 				\
274fi; 							\
275case " $(XFAIL_TESTS) " in				\
276  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
277    am__expect_failure=yes;;				\
278  *)							\
279    am__expect_failure=no;;				\
280esac; 							\
281$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
282# A shell command to get the names of the tests scripts with any registered
283# extension removed (i.e., equivalently, the names of the test logs, with
284# the '.log' extension removed).  The result is saved in the shell variable
285# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
286# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
287# since that might cause problem with VPATH rewrites for suffix-less tests.
288# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
289am__set_TESTS_bases = \
290  bases='$(TEST_LOGS)'; \
291  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
292  bases=`echo $$bases`
293RECHECK_LOGS = $(TEST_LOGS)
294AM_RECURSIVE_TARGETS = check recheck
295TEST_SUITE_LOG = test-suite.log
296TEST_EXTENSIONS = @EXEEXT@ .test
297LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
298LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
299am__set_b = \
300  case '$@' in \
301    */*) \
302      case '$*' in \
303        */*) b='$*';; \
304          *) b=`echo '$@' | sed 's/\.log$$//'`; \
305       esac;; \
306    *) \
307      b='$*';; \
308  esac
309am__test_logs1 = $(TESTS:=.log)
310am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
311TEST_LOGS = $(am__test_logs2:.test.log=.log)
312TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
313TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
314	$(TEST_LOG_FLAGS)
315DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
316ACLOCAL = @ACLOCAL@
317AMTAR = @AMTAR@
318AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
319AUTOCONF = @AUTOCONF@
320AUTOHEADER = @AUTOHEADER@
321AUTOMAKE = @AUTOMAKE@
322AWK = @AWK@
323BISON = @BISON@
324BUDDY_LIB = @BUDDY_LIB@
325CC = @CC@
326CCDEPMODE = @CCDEPMODE@
327CFLAGS = @CFLAGS@
328CPPFLAGS = @CPPFLAGS@
329CVC4_LIB = @CVC4_LIB@
330CXX = @CXX@
331CXXCPP = @CXXCPP@
332CXXDEPMODE = @CXXDEPMODE@
333CXXFLAGS = @CXXFLAGS@
334CYGPATH_W = @CYGPATH_W@
335DEFS = @DEFS@
336DEPDIR = @DEPDIR@
337ECHO_C = @ECHO_C@
338ECHO_N = @ECHO_N@
339ECHO_T = @ECHO_T@
340EGREP = @EGREP@
341EXEEXT = @EXEEXT@
342FLEX = @FLEX@
343GCC_LIBS = @GCC_LIBS@
344GMP_LIBS = @GMP_LIBS@
345GREP = @GREP@
346INSTALL = @INSTALL@
347INSTALL_DATA = @INSTALL_DATA@
348INSTALL_PROGRAM = @INSTALL_PROGRAM@
349INSTALL_SCRIPT = @INSTALL_SCRIPT@
350INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
351LDFLAGS = @LDFLAGS@
352LIBOBJS = @LIBOBJS@
353LIBS = @LIBS@
354LIBSIGSEGV_LIB = @LIBSIGSEGV_LIB@
355LTLIBOBJS = @LTLIBOBJS@
356MAKEINFO = @MAKEINFO@
357MKDIR_P = @MKDIR_P@
358OBJEXT = @OBJEXT@
359PACKAGE = @PACKAGE@
360PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
361PACKAGE_NAME = @PACKAGE_NAME@
362PACKAGE_STRING = @PACKAGE_STRING@
363PACKAGE_TARNAME = @PACKAGE_TARNAME@
364PACKAGE_URL = @PACKAGE_URL@
365PACKAGE_VERSION = @PACKAGE_VERSION@
366PATH_SEPARATOR = @PATH_SEPARATOR@
367RANLIB = @RANLIB@
368SET_MAKE = @SET_MAKE@
369SHELL = @SHELL@
370STRIP = @STRIP@
371TECLA_LIBS = @TECLA_LIBS@
372VERSION = @VERSION@
373abs_builddir = @abs_builddir@
374abs_srcdir = @abs_srcdir@
375abs_top_builddir = @abs_top_builddir@
376abs_top_srcdir = @abs_top_srcdir@
377ac_ct_CC = @ac_ct_CC@
378ac_ct_CXX = @ac_ct_CXX@
379am__include = @am__include@
380am__leading_dot = @am__leading_dot@
381am__quote = @am__quote@
382am__tar = @am__tar@
383am__untar = @am__untar@
384bindir = @bindir@
385build = @build@
386build_alias = @build_alias@
387build_cpu = @build_cpu@
388build_os = @build_os@
389build_vendor = @build_vendor@
390builddir = @builddir@
391datadir = @datadir@
392datarootdir = @datarootdir@
393docdir = @docdir@
394dvidir = @dvidir@
395exec_prefix = @exec_prefix@
396host = @host@
397host_alias = @host_alias@
398host_cpu = @host_cpu@
399host_os = @host_os@
400host_vendor = @host_vendor@
401htmldir = @htmldir@
402includedir = @includedir@
403infodir = @infodir@
404install_sh = @install_sh@
405libdir = @libdir@
406libexecdir = @libexecdir@
407localedir = @localedir@
408localstatedir = @localstatedir@
409mandir = @mandir@
410mkdir_p = @mkdir_p@
411oldincludedir = @oldincludedir@
412pdfdir = @pdfdir@
413prefix = @prefix@
414program_transform_name = @program_transform_name@
415psdir = @psdir@
416sbindir = @sbindir@
417sharedstatedir = @sharedstatedir@
418srcdir = @srcdir@
419sysconfdir = @sysconfdir@
420target_alias = @target_alias@
421top_build_prefix = @top_build_prefix@
422top_builddir = @top_builddir@
423top_srcdir = @top_srcdir@
424TESTS = \
425	dekker \
426	commands \
427	debug \
428	renaming \
429	dataStructures \
430	parameterization \
431	unification \
432	unification2 \
433	unification3 \
434	attributes \
435	diophantine \
436	variantUnification \
437	variantNarrowing \
438	meseguerFiniteVariant \
439	CU_Unification \
440	assocUnification \
441	sreduce \
442	smtTest
443
444MAUDE_FILES = \
445	dekker.maude \
446	commands.maude \
447	debug.maude \
448	renaming.maude \
449	dataStructures.maude \
450	parameterization.maude \
451	unification.maude \
452	unification2.maude \
453	unification3.maude \
454	attributes.maude \
455	diophantine.maude \
456	variantUnification.maude \
457	variantNarrowing.maude \
458	meseguerFiniteVariant.maude \
459	CU_Unification.maude \
460	assocUnification.maude \
461	sreduce.maude \
462	smtTest.maude
463
464RESULT_FILES = \
465	dekker.expected \
466	commands.expected \
467	debug.expected \
468	renaming.expected \
469	dataStructures.expected \
470	parameterization.expected \
471	unification.expected \
472	unification2.expected \
473	unification3.expected \
474	attributes.expected \
475	diophantine.expected \
476	variantUnification.expected \
477	variantNarrowing.expected \
478	meseguerFiniteVariant.expected \
479	CU_Unification.expected \
480	assocUnification.expected \
481	sreduce.expected \
482	smtTest.expected
483
484EXTRA_DIST = $(TESTS) $(MAUDE_FILES) $(RESULT_FILES)
485all: all-am
486
487.SUFFIXES:
488.SUFFIXES: .log .test .test$(EXEEXT) .trs
489$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
490	@for dep in $?; do \
491	  case '$(am__configure_deps)' in \
492	    *$$dep*) \
493	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
494	        && { if test -f $@; then exit 0; else break; fi; }; \
495	      exit 1;; \
496	  esac; \
497	done; \
498	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Misc/Makefile'; \
499	$(am__cd) $(top_srcdir) && \
500	  $(AUTOMAKE) --gnu tests/Misc/Makefile
501.PRECIOUS: Makefile
502Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
503	@case '$?' in \
504	  *config.status*) \
505	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
506	  *) \
507	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
508	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
509	esac;
510
511$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
512	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
513
514$(top_srcdir)/configure:  $(am__configure_deps)
515	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
516$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
517	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
518$(am__aclocal_m4_deps):
519tags TAGS:
520
521ctags CTAGS:
522
523cscope cscopelist:
524
525
526# Recover from deleted '.trs' file; this should ensure that
527# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
528# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
529# to avoid problems with "make -n".
530.log.trs:
531	rm -f $< $@
532	$(MAKE) $(AM_MAKEFLAGS) $<
533
534# Leading 'am--fnord' is there to ensure the list of targets does not
535# expand to empty, as could happen e.g. with make check TESTS=''.
536am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
537am--force-recheck:
538	@:
539
540$(TEST_SUITE_LOG): $(TEST_LOGS)
541	@$(am__set_TESTS_bases); \
542	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
543	redo_bases=`for i in $$bases; do \
544	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
545	            done`; \
546	if test -n "$$redo_bases"; then \
547	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
548	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
549	  if $(am__make_dryrun); then :; else \
550	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
551	  fi; \
552	fi; \
553	if test -n "$$am__remaking_logs"; then \
554	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
555	       "recursion detected" >&2; \
556	else \
557	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
558	fi; \
559	if $(am__make_dryrun); then :; else \
560	  st=0;  \
561	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
562	  for i in $$redo_bases; do \
563	    test -f $$i.trs && test -r $$i.trs \
564	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
565	    test -f $$i.log && test -r $$i.log \
566	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
567	  done; \
568	  test $$st -eq 0 || exit 1; \
569	fi
570	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
571	ws='[ 	]'; \
572	results=`for b in $$bases; do echo $$b.trs; done`; \
573	test -n "$$results" || results=/dev/null; \
574	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
575	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
576	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
577	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
578	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
579	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
580	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
581	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
582	  success=true; \
583	else \
584	  success=false; \
585	fi; \
586	br='==================='; br=$$br$$br$$br$$br; \
587	result_count () \
588	{ \
589	    if test x"$$1" = x"--maybe-color"; then \
590	      maybe_colorize=yes; \
591	    elif test x"$$1" = x"--no-color"; then \
592	      maybe_colorize=no; \
593	    else \
594	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
595	    fi; \
596	    shift; \
597	    desc=$$1 count=$$2; \
598	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
599	      color_start=$$3 color_end=$$std; \
600	    else \
601	      color_start= color_end=; \
602	    fi; \
603	    echo "$${color_start}# $$desc $$count$${color_end}"; \
604	}; \
605	create_testsuite_report () \
606	{ \
607	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
608	  result_count $$1 "PASS: " $$pass  "$$grn"; \
609	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
610	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
611	  result_count $$1 "FAIL: " $$fail  "$$red"; \
612	  result_count $$1 "XPASS:" $$xpass "$$red"; \
613	  result_count $$1 "ERROR:" $$error "$$mgn"; \
614	}; \
615	{								\
616	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
617	    $(am__rst_title);						\
618	  create_testsuite_report --no-color;				\
619	  echo;								\
620	  echo ".. contents:: :depth: 2";				\
621	  echo;								\
622	  for b in $$bases; do echo $$b; done				\
623	    | $(am__create_global_log);					\
624	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
625	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
626	if $$success; then						\
627	  col="$$grn";							\
628	 else								\
629	  col="$$red";							\
630	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
631	fi;								\
632	echo "$${col}$$br$${std}"; 					\
633	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
634	echo "$${col}$$br$${std}"; 					\
635	create_testsuite_report --maybe-color;				\
636	echo "$$col$$br$$std";						\
637	if $$success; then :; else					\
638	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
639	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
640	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
641	  fi;								\
642	  echo "$$col$$br$$std";					\
643	fi;								\
644	$$success || exit 1
645
646check-TESTS:
647	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
648	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
649	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
650	@set +e; $(am__set_TESTS_bases); \
651	log_list=`for i in $$bases; do echo $$i.log; done`; \
652	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
653	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
654	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
655	exit $$?;
656recheck: all
657	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
658	@set +e; $(am__set_TESTS_bases); \
659	bases=`for i in $$bases; do echo $$i; done \
660	         | $(am__list_recheck_tests)` || exit 1; \
661	log_list=`for i in $$bases; do echo $$i.log; done`; \
662	log_list=`echo $$log_list`; \
663	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
664	        am__force_recheck=am--force-recheck \
665	        TEST_LOGS="$$log_list"; \
666	exit $$?
667dekker.log: dekker
668	@p='dekker'; \
669	b='dekker'; \
670	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
671	--log-file $$b.log --trs-file $$b.trs \
672	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
673	"$$tst" $(AM_TESTS_FD_REDIRECT)
674commands.log: commands
675	@p='commands'; \
676	b='commands'; \
677	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
678	--log-file $$b.log --trs-file $$b.trs \
679	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
680	"$$tst" $(AM_TESTS_FD_REDIRECT)
681debug.log: debug
682	@p='debug'; \
683	b='debug'; \
684	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
685	--log-file $$b.log --trs-file $$b.trs \
686	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
687	"$$tst" $(AM_TESTS_FD_REDIRECT)
688renaming.log: renaming
689	@p='renaming'; \
690	b='renaming'; \
691	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
692	--log-file $$b.log --trs-file $$b.trs \
693	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
694	"$$tst" $(AM_TESTS_FD_REDIRECT)
695dataStructures.log: dataStructures
696	@p='dataStructures'; \
697	b='dataStructures'; \
698	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
699	--log-file $$b.log --trs-file $$b.trs \
700	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
701	"$$tst" $(AM_TESTS_FD_REDIRECT)
702parameterization.log: parameterization
703	@p='parameterization'; \
704	b='parameterization'; \
705	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
706	--log-file $$b.log --trs-file $$b.trs \
707	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
708	"$$tst" $(AM_TESTS_FD_REDIRECT)
709unification.log: unification
710	@p='unification'; \
711	b='unification'; \
712	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
713	--log-file $$b.log --trs-file $$b.trs \
714	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
715	"$$tst" $(AM_TESTS_FD_REDIRECT)
716unification2.log: unification2
717	@p='unification2'; \
718	b='unification2'; \
719	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
720	--log-file $$b.log --trs-file $$b.trs \
721	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
722	"$$tst" $(AM_TESTS_FD_REDIRECT)
723unification3.log: unification3
724	@p='unification3'; \
725	b='unification3'; \
726	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
727	--log-file $$b.log --trs-file $$b.trs \
728	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
729	"$$tst" $(AM_TESTS_FD_REDIRECT)
730attributes.log: attributes
731	@p='attributes'; \
732	b='attributes'; \
733	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
734	--log-file $$b.log --trs-file $$b.trs \
735	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
736	"$$tst" $(AM_TESTS_FD_REDIRECT)
737diophantine.log: diophantine
738	@p='diophantine'; \
739	b='diophantine'; \
740	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
741	--log-file $$b.log --trs-file $$b.trs \
742	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
743	"$$tst" $(AM_TESTS_FD_REDIRECT)
744variantUnification.log: variantUnification
745	@p='variantUnification'; \
746	b='variantUnification'; \
747	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
748	--log-file $$b.log --trs-file $$b.trs \
749	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
750	"$$tst" $(AM_TESTS_FD_REDIRECT)
751variantNarrowing.log: variantNarrowing
752	@p='variantNarrowing'; \
753	b='variantNarrowing'; \
754	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
755	--log-file $$b.log --trs-file $$b.trs \
756	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
757	"$$tst" $(AM_TESTS_FD_REDIRECT)
758meseguerFiniteVariant.log: meseguerFiniteVariant
759	@p='meseguerFiniteVariant'; \
760	b='meseguerFiniteVariant'; \
761	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
762	--log-file $$b.log --trs-file $$b.trs \
763	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
764	"$$tst" $(AM_TESTS_FD_REDIRECT)
765CU_Unification.log: CU_Unification
766	@p='CU_Unification'; \
767	b='CU_Unification'; \
768	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
769	--log-file $$b.log --trs-file $$b.trs \
770	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
771	"$$tst" $(AM_TESTS_FD_REDIRECT)
772assocUnification.log: assocUnification
773	@p='assocUnification'; \
774	b='assocUnification'; \
775	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
776	--log-file $$b.log --trs-file $$b.trs \
777	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
778	"$$tst" $(AM_TESTS_FD_REDIRECT)
779sreduce.log: sreduce
780	@p='sreduce'; \
781	b='sreduce'; \
782	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
783	--log-file $$b.log --trs-file $$b.trs \
784	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
785	"$$tst" $(AM_TESTS_FD_REDIRECT)
786smtTest.log: smtTest
787	@p='smtTest'; \
788	b='smtTest'; \
789	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
790	--log-file $$b.log --trs-file $$b.trs \
791	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
792	"$$tst" $(AM_TESTS_FD_REDIRECT)
793.test.log:
794	@p='$<'; \
795	$(am__set_b); \
796	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
797	--log-file $$b.log --trs-file $$b.trs \
798	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
799	"$$tst" $(AM_TESTS_FD_REDIRECT)
800@am__EXEEXT_TRUE@.test$(EXEEXT).log:
801@am__EXEEXT_TRUE@	@p='$<'; \
802@am__EXEEXT_TRUE@	$(am__set_b); \
803@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
804@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
805@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
806@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
807
808distdir: $(DISTFILES)
809	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
810	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
811	list='$(DISTFILES)'; \
812	  dist_files=`for file in $$list; do echo $$file; done | \
813	  sed -e "s|^$$srcdirstrip/||;t" \
814	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
815	case $$dist_files in \
816	  */*) $(MKDIR_P) `echo "$$dist_files" | \
817			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
818			   sort -u` ;; \
819	esac; \
820	for file in $$dist_files; do \
821	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
822	  if test -d $$d/$$file; then \
823	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
824	    if test -d "$(distdir)/$$file"; then \
825	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
826	    fi; \
827	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
828	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
829	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
830	    fi; \
831	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
832	  else \
833	    test -f "$(distdir)/$$file" \
834	    || cp -p $$d/$$file "$(distdir)/$$file" \
835	    || exit 1; \
836	  fi; \
837	done
838check-am: all-am
839	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
840check: check-am
841all-am: Makefile
842installdirs:
843install: install-am
844install-exec: install-exec-am
845install-data: install-data-am
846uninstall: uninstall-am
847
848install-am: all-am
849	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
850
851installcheck: installcheck-am
852install-strip:
853	if test -z '$(STRIP)'; then \
854	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
855	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
856	      install; \
857	else \
858	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
859	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
860	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
861	fi
862mostlyclean-generic:
863	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
864	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
865	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
866
867clean-generic:
868
869distclean-generic:
870	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
871	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
872
873maintainer-clean-generic:
874	@echo "This command is intended for maintainers to use"
875	@echo "it deletes files that may require special tools to rebuild."
876clean: clean-am
877
878clean-am: clean-generic mostlyclean-am
879
880distclean: distclean-am
881	-rm -f Makefile
882distclean-am: clean-am distclean-generic
883
884dvi: dvi-am
885
886dvi-am:
887
888html: html-am
889
890html-am:
891
892info: info-am
893
894info-am:
895
896install-data-am:
897
898install-dvi: install-dvi-am
899
900install-dvi-am:
901
902install-exec-am:
903
904install-html: install-html-am
905
906install-html-am:
907
908install-info: install-info-am
909
910install-info-am:
911
912install-man:
913
914install-pdf: install-pdf-am
915
916install-pdf-am:
917
918install-ps: install-ps-am
919
920install-ps-am:
921
922installcheck-am:
923
924maintainer-clean: maintainer-clean-am
925	-rm -f Makefile
926maintainer-clean-am: distclean-am maintainer-clean-generic
927
928mostlyclean: mostlyclean-am
929
930mostlyclean-am: mostlyclean-generic
931
932pdf: pdf-am
933
934pdf-am:
935
936ps: ps-am
937
938ps-am:
939
940uninstall-am:
941
942.MAKE: check-am install-am install-strip
943
944.PHONY: all all-am check check-TESTS check-am clean clean-generic \
945	cscopelist-am ctags-am distclean distclean-generic distdir dvi \
946	dvi-am html html-am info info-am install install-am \
947	install-data install-data-am install-dvi install-dvi-am \
948	install-exec install-exec-am install-html install-html-am \
949	install-info install-info-am install-man install-pdf \
950	install-pdf-am install-ps install-ps-am install-strip \
951	installcheck installcheck-am installdirs maintainer-clean \
952	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
953	pdf-am ps ps-am recheck tags-am uninstall uninstall-am
954
955
956# Tell versions [3.59,3.63) of GNU make to not export all variables.
957# Otherwise a system limit (for SysV at least) may be exceeded.
958.NOEXPORT:
959